# CandyBar
[![JitPack](https://img.shields.io/jitpack/v/github/zixpo/candybar?color=4c1&label=JitPack&style=flat-square)](https://jitpack.io/#zixpo/candybar)
[![Build Status](https://img.shields.io/travis/com/zixpo/candybar?style=flat-square)](https://travis-ci.com/zixpo/candybar)
[![License](https://img.shields.io/github/license/zixpo/candybar?style=flat-square)](/LICENSE)

Improved version of the original [CandyBar Dashboard](https://github.com/danimahardhika/candybar-library).

Check out [Blueprint Dashboard](https://github.com/jahirfiquitiva/blueprint/). It's modular and uses new build features. You may like it :D

This is the library of CandyBar Dashboard. It is only used for development purpose. Use the [sample implementation](https://github.com/zixpo/candybar-sample) for making icon packs.

<a href="https://play.google.com/store/apps/details?id=com.candybar.dev">
  <img height="80" alt="Get it on Google Play" src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png">
</a>

<details>
<summary>App screenshots <i>(Click to expand)</i></summary>
<p>Tip: Click image to enlarge it</p>
<p>
  <img height="350" alt="Home section" src="https://user-images.githubusercontent.com/44255990/128632088-dd77b1cf-f289-412e-8df3-53d7cb6f3982.png">
  <img height="350" alt="Apply section" src="https://user-images.githubusercontent.com/44255990/128632346-ec485f2b-69aa-4557-aabb-41df561a7c4f.png">
  <img height="350" alt="Icons section" src="https://user-images.githubusercontent.com/44255990/128632377-ad5f7adb-57b9-412e-b2d5-928030ed94dd.png">
  <img height="350" alt="Bookmarked icons section" src="https://user-images.githubusercontent.com/44255990/128632391-5de9d4a5-2c16-49eb-824e-f46cd6f9d0f0.png">
  <img height="350" alt="Icon request section" src="https://user-images.githubusercontent.com/44255990/128632418-1e50fd91-2948-4c80-a5e3-840fbff0b873.png">
  <img height="350" alt="Wallpapers section" src="https://user-images.githubusercontent.com/44255990/128632433-a2d91128-b788-4024-8403-2f986f992516.png">
  <img height="350" alt="Wallpaper preview screen" src="https://user-images.githubusercontent.com/44255990/128632451-68283a1c-2a51-4387-af4d-016d167f9f90.png">
  <img height="350" alt="Settings section" src="https://user-images.githubusercontent.com/44255990/128632467-27e53459-446b-469c-9432-bfcf6f3bcffe.png">
  <img height="350" alt="FAQs section" src="https://user-images.githubusercontent.com/44255990/128632481-045f9df3-7958-4689-b030-45a817bf9410.png">
  <img height="350" alt="About section" src="https://user-images.githubusercontent.com/44255990/128632488-bf17fe1d-0e4e-4649-b04b-1b87acf6cc0e.png">
  <img height="350" alt="Navigation drawer" src="https://user-images.githubusercontent.com/44255990/128632508-dd274ef8-0a73-41db-996d-c2778358a7f8.png">
  <img height="350" alt="Dark mode" src="https://user-images.githubusercontent.com/44255990/128632517-59776f9c-5aa1-449d-a64c-0e1732894a69.png">
</p>
</details>

# How to use
Just explore the wiki to get started.
### [Wiki ➜](https://github.com/zixpo/candybar-sample/wiki)

# Features
- License checker
- Apply: 32 launchers
- Icon picker: See all icons
- Icon request
  - Regular request: Free to request
  - Premium request: Pay to request
  - Support for [Arctic Request Manager](https://arcticmanager.com)
- Cloud based wallpaper
  - Preview wallpaper
  - Apply wallpaper
  - Download wallpaper
- Settings
  - Clear cache
  - Switch themes - Auto/Light/Dark
  - Restore purchases: Restore premium requests after reinstalling
- Frequently asked questions with search
- About
- Donation
- Changelog: Shown on every update
- Muzei live wallpaper
- Localization: Supports many languages
- Support for OneSignal notifications
- Check for updates
- Control your dashboard remotely with configuration JSON

# What's new?
Check out the [changelog](/CHANGELOG.md) to find out what's new.

# Translation
Help us translate CandyBar in many other languages. [Translate CandyBar](https://crowdin.com/project/candybar).

# Need help?
Need help in something or maybe you have some question, just head out
to [Q&A Discussions](https://github.com/zixpo/candybar/discussions/categories/q-a).
Try to find your answer there or ask a new question if you can't find your answer.

# Support me
I am doing this work for free, but you can show your appreciation
and support me by donating. It would keep me motivated to work on
the dashboard.

[![ko-fi](https://www.ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/J3J7WR0M)

You can also donate from the [CandyBar App](https://play.google.com/store/apps/details?id=com.candybar.dev) published on Google Play Store.

### Social

[![Twitter Follow](https://img.shields.io/twitter/follow/sarsamurmu?color=%231da1f2&label=Follow%20on%20Twitter&logo=twitter&style=for-the-badge)](https://twitter.com/sarsamurmu)\
[![GitHub Follow](https://img.shields.io/github/followers/sarsamurmu?color=%23dfdfdf&label=Follow%20on%20GitHub&logo=github&style=for-the-badge)](https://github.com/sarsamurmu)

**Thanks! Have fun with the dashboard 😉**

# License
```
Copyright (c) 2014-2016 Dani Mahardhika

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
